package com.nbclass.activity.model.enums;

import org.apache.commons.lang3.StringUtils;

/**
 * i案例类型枚举
 * @author Leon
 * @datetime 2020年5月29日 下午1:56:11
 */
public enum ContentType {

	ppqa("106", "品牌全案"),

	ggqa("107", "公关全案"),

	design("108", "创意设计"),

	video("109", "视频动画"),

	h5("110", "技术开发"),

	ldhd("111", "落地活动"),

	others("112", "其他案例")
	;

	// 枚举值
	private final String key;

	// 枚举描述
	private final String desc;


	ContentType(final String key, final String desc ) {
		this.key = key;
		this.desc = desc;
	}

	public String key() {
		return key;
	}

	public String desc() {
		return desc;
	}


	public static String getNameByCode(String key){
        for(ContentType entity : ContentType.values()){
            if(key.equals(entity.key)){
                return entity.desc;
            }
        }
        return null;
    }

}
